"""
Unpublished work.
Copyright (c) 2021 by Teradata Corporation. All rights reserved.
TERADATA CORPORATION CONFIDENTIAL AND TRADE SECRET

Primary Owner: pradeep.garre@teradata.com
Secondary Owner: PankajVinod.Purandare@teradata.com

This file implements json file related argument names.
"""
from enum import Enum


class PartitionKind(Enum):
    ONE = "1"
    ANY = "ANY"
    DIMENSION = "DIMENSION"
    NONE = "NONE"
    # DIMENSIONKEY = "DIMENSIONKEY"
    # DIMENSIONKEYANY = "DIMENSIONKEYANY"
    # KEY = "KEY"
    # ONEONLY = "ONEONLY"
    # ANYONLY = "ANYONLY"

class JsonFields:
    FUNC_NAME = "function_name"
    ALLOWS_LISTS = "allowsLists"
    DATATYPE = "datatype"
    BOOL_TYPE = "BOOLEAN"
    INT_TYPE = ["INTEGER", "LONG"]
    FLOAT_TYPE = ["DOUBLE", "DOUBLE PRECISION", "FLOAT"]
    INPUT_TABLES = "input_tables"
    OUTPUT_TABLES = "output_tables"
    ARGUMENT_CLAUSES = "argument_clauses"
    R_NAME = "rName"
    LANG_NAME = "langName"
    NAME = "name"
    FUNCTION_TDML_NAME = "function_tdml_name"
    R_FOMULA_USAGE = "rFormulaUsage"
    R_ORDER_NUM = "rOrderNum"
    TDML_SEQUENCE_COLUMN_NAME = "sequence_column"
    USEINR = "useInR"
    IS_REQUIRED = "isRequired"
    DESCRIPTION = "description"
    R_DESCRIPTION = "rDescription"
    DEFAULT_VALUE = "defaultValue"
    DEFAULT_VALUES = "defaultValues"
    LOWER_BOUND = "lowerBound"
    UPPER_BOUND = "upperBound"
    R_DEFAULT_VALUE = "rDefaultValue"
    ALLOW_PADDING = "allowPadding"
    R_FORMULA_USAGE = "rFormulaUsage"
    ALLOW_NAN = "allowNaN"
    CHECK_DUPLICATE = "checkDuplicate"
    IS_OUTPUT_COLUMN = "isOutputColumn"
    LOWER_BOUND_TYPE = "lowerBoundType"
    UPPER_BOUND_TYPE = "upperBoundType"
    REQUIRED_LENGTH = "requiredLength"
    MATCH_LENGTH_OF_ARGUMENT = "matchLengthofArgument"
    PERMITTED_VALUES = "permittedValues"
    TARGET_TABLE = "targetTable"
    ALLOWED_TYPES = "allowedTypes"
    ALLOWED_TYPE_GROUPS = "allowedTypeGroups"
    ALTERNATE_NAMES = "alternateNames"
    IS_OUTPUT_TABLE = "isOutputTable"
    OUTPUT_SCHEMA = "outputSchema"
    REQUIRED_INPUT_KIND = "requiredInputKind"
    PARTITION_BY_ONE = "partitionByOne"
    PARTITION_BY_ONE_INCLUSIVE = "partitionByOneInclusive"
    IS_ORDERED = "isOrdered"
    IS_LOCAL_ORDERED = "isLocalOrdered"
    HASH_BY_KEY = "hashByKey"
    SEQUENCE_INPUT_BY = "sequenceinputby"
    UNIQUE_ID = "UniqueId"
    INFINITY = "Infinity"
    SHORT_DESCRIPTION = "short_description"
    LONG_DESCRIPTION = "long_description"
    STRING = "String"
    COLUMN_NAMES = "COLUMN_NAMES"
    FUNCTION_TYPE = "function_type"
    FUNCTION_CATEGORY = "function_category"
    SUPPORTS_VOLATILE_TABLE = "SupportVolatileTable"
    IS_REQUIRED_DEPENDENT = "isRequiredDependent"
    DEPENDENT_ARGUMENT_NAME = "argumentName"
    DEPENDENT_ARGUMENT_TYPE = "argumentType"
    OPERATOR = "operator"
    DEPENDENT_ARGUMENT_VALUE = "argumentValue"
    FUNCTION_ALIAS_NAME = "function_alias_name"


class SqleJsonFields(JsonFields):
    pass

class UAFJsonFields(JsonFields):
    """ JSON data fields for UAF function JSONs. """
    FUNC_NAME = "FuncName"
    SHORT_DESCRIPTION = "FuncDescriptionShort"
    LONG_DESCRIPTION = "FuncDescriptionLong"
    FUNCTION_VERSION = "FunctionVersion"
    JSON_VERSION = "JSONVersion"
    R_NAME = "FuncRName"
    MAX_INPUT_FILES = "MaxInputFiles"
    IS_PLOTTABLE = "IsPlottable"
    INPUT_TABLES = "Input"
    OUTPUT_TABLES = "Output"
    INPUT_FMT = "InputFmt"
    OUTPUT_FMT = "OutputFmt"
    OPTIONAL = "Optional"
    RESULT_TABLE_COLUMN_TYPES = "ResultTableColumnTypes"
    PERMITTED_VALUES = "PermittedValues"
    CHECK_DUPLICATES = "CheckDuplicates"
    LIST_TYPE = "ListType"
    REQUIRED_LENGTH = "ListSize"
    ALLOW_NAN = "AllowNan"
    NAME = "Name"
    NESTED_PARAMS_JSON = "NestedParams"
    PRIMARY_LAYER = "PrimaryLayer"
    LAYER_NAME = "LayerName"
    ARGUMENT_CLAUSES = "Params"
    USEINR = True
    DESCRIPTION = "Description"
    DATATYPE = "Type"
    DEFAULT_VALUE = "DefaultValue"
    LOWER_BOUND = "LowerBound"
    UPPER_BOUND = "UpperBound"
    LOWER_BOUND_TYPE = "LowerBoundType"
    UPPER_BOUND_TYPE = "UpperBoundType"
    CHECK_DUPLICATE = "CheckDuplicates"
    PERMITTED_VALUES = "PermittedValues"
    LANG_NAME = "LangName"
    FUNCTION_CATEGORY = "FunctionCategory"